repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v3.2.0
    hooks:
    - id: trailing-whitespace
    - id: detect-private-key
    - id: check-case-conflict
    - id: check-merge-conflict
    - id: check-symlinks
    - id: end-of-file-fixer
    - id: check-yaml
    - id: no-commit-to-branch
      args: [--branch, master]
  - repo: https://github.com/pre-commit/pygrep-hooks
    rev: v1.6.0
    hooks:
    - id: python-use-type-annotations
    - id: python-no-eval
  - repo: https://github.com/pre-commit/mirrors-mypy
    rev: v0.960
    hooks:
    -   id: mypy
        additional_dependencies: [tokenize-rt==3.2.0, types-requests==2.26.0]
  - repo: local
    hooks:
      - id: black
        name: black
        language: system
        entry: black -l 120
        types: [python]
      - id: pylint
        name: pylint
        language: system
        entry: pylint
        types: [python]
      - id: bandit
        name: bandit
        language: system
        entry: bandit -r
        types: [python]
        exclude: ^(tests/)
